This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: http://sphinx.pocoo.org/
Type: Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, berker.peksag, cesteves, docs@python, zach.ware
Priority: normal Keywords:

Created on 2020-01-31 21:36 by cesteves, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Messages (6)
msg361135 - (view) Author: Carlos ESTEVES (cesteves) Date: 2020-01-31 21:36
Hi,

"Sphinx" link is break on webpage: https://docs.python.org/3/

See:
<a href="http://sphinx.pocoo.org/">Sphinx</a>

Thank You
msg361148 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2020-02-01 03:18
Thanks for the report. The link has already been fixed in https://github.com/python/python-docs-theme/commit/fc9f203dd79587c8aed2b822cf7401518cd65bb5 I think it will be fixed once the new version of the theme is released.

We can discuss the details over at python/python-docs-theme. Closing this issue for now.
msg361179 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2020-02-01 17:44
Hmm the fix should have been included in release 2020.1, which was release a couple weeks ago.
msg361190 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2020-02-01 19:54
I tested locally, if I build the docs using python-docs-theme 2020.1, the link is fixed.

I'm reopening this ticket.

I think it is a matter of making sure docs.p.o is using the right version of python-docs-theme. (v 2020.1)
msg361191 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2020-02-01 20:41
https://github.com/python/docsbuild-scripts/pull/83
msg361332 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2020-02-04 00:45
My PR has been merged and I've verified that the link is now point to https://www.sphinx-doc.org/. Closing this as 'fixed'.
History
Date User Action Args
2022-04-11 14:59:26adminsetgithub: 83695
2020-02-04 00:45:35berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg361332

stage: needs patch -> resolved
2020-02-01 20:41:34berker.peksagsetmessages: + msg361191
2020-02-01 19:54:48Mariattasetstatus: closed -> open
resolution: out of date -> (no value)
messages: + msg361190

stage: resolved -> needs patch
2020-02-01 17:44:37Mariattasetnosy: + Mariatta
messages: + msg361179
2020-02-01 03:18:39berker.peksagsetstatus: open -> closed

nosy: + berker.peksag, zach.ware
messages: + msg361148

resolution: out of date
stage: resolved
2020-01-31 21:36:43cestevescreate